Package com.clickhouse.jdbc.parser

# Class ClickHouseSqlUtils

java.lang.Object
com.clickhouse.jdbc.parser.ClickHouseSqlUtils

@Deprecated public final class ClickHouseSqlUtils extends Object
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static String`
`escape(String str, char quote)`
Deprecated.
Escape quotes in given string.
`static boolean`
`isQuote(char ch)`
Deprecated.
`static String`
`unescape(String str)`
Deprecated.
Unescape quoted string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isQuote

public static boolean isQuote(char ch)
Deprecated.

### escape

public static String escape(String str, char quote)
Deprecated.
Escape quotes in given string.

Parameters:
  `str` - string
  `quote` - quote to escape
Returns:
  escaped string

### unescape

public static String unescape(String str)
Deprecated.
Unescape quoted string.

Parameters:
  `str` - quoted string
Returns:
  unescaped string